> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the scrubbed results and data validations of an uploaded ISO application by its heron_id (prefixed "iso_")

> Use this endpoint to retrieve the scrubbed results and data validations of an uploaded ISO application PDF once it has finished processing. If processing is still underway, the processing_status field will be "processing".




## OpenAPI

````yaml https://app.herondata.io/swagger get /api/iso_applications/{heron_id}
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/iso_applications/{heron_id}:
    get:
      tags:
        - ISOApplication
      summary: >-
        Get the scrubbed results and data validations of an uploaded ISO
        application by its heron_id (prefixed "iso_")
      description: >
        Use this endpoint to retrieve the scrubbed results and data validations
        of an uploaded ISO application PDF once it has finished processing. If
        processing is still underway, the processing_status field will be
        "processing".
      parameters:
        - in: path
          name: heron_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetIsoApplicationSchema'
          description: Ok
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GetIsoApplicationSchema:
      properties:
        created:
          format: date-time
          readOnly: true
          type: string
        end_user_heron_id:
          description: >-
            The heron_id of the end_user associated with the iso application, if
            available
          readOnly: true
          type: string
        end_user_id:
          description: >-
            The end_user_id of the end_user associated with the iso application,
            if available
          readOnly: true
          type: string
        field_validations:
          items:
            $ref: '#/components/schemas/IsoApplicationFieldValidation'
          type: array
        filename:
          description: The original filename of the ISO application form
          example: iso_app.pdf
          type: string
        heron_id:
          description: The ISO application's heron_id
          example: iso_6hBjQT9k6KP2rLCXwjUJff
          type: string
        processing_status:
          description: The processing status of the file.
          enum:
            - new
            - processing
            - processed
            - failed
          example: processed
          type: string
        quality_status:
          description: >-
            The overall field validation results. 'fully_matched' indicated all
            field validations have passed. 'review_required' indicates one or
            more field validations failed.
          enum:
            - fully_matched
            - review_required
            - null
          example: fully_matched
          nullable: true
          type: string
        result:
          additionalProperties:
            $ref: '#/components/schemas/IsoApplicationFieldResult'
          description: >-
            The extracted keys/values from the form, normalised to Heron's field
            schema. Keys will only be present in results if they are found in
            the original file. For a full list of fields, see the documentation.
          type: object
        source_email:
          allOf:
            - $ref: '#/components/schemas/EndUserEmail'
          description: Original email that contained ISO application, if applicable
          nullable: true
          readOnly: true
      required:
        - filename
        - heron_id
        - processing_status
        - quality_status
      type: object
    IsoApplicationFieldValidation:
      properties:
        failure_reason:
          nullable: true
          type: string
        field_name:
          type: string
        result:
          enum:
            - passed
            - failed
            - not_applicable
          example: passed
          type: string
        validation_type:
          type: string
      required:
        - failure_reason
        - field_name
        - result
        - validation_type
      type: object
    IsoApplicationFieldResult:
      properties:
        document_field_name:
          description: The field's original name in the source document
          example: Company Legal Name
          type: string
        is_empty:
          description: Whether the value is empty
          example: false
          type: boolean
        value:
          description: The value extracted from the document for the current field
          example: Heron Data Ltd
          type: string
        value_confidence:
          description: OCR confidence of the extracted value
          example: 0.99
          nullable: true
          type: number
      required:
        - document_field_name
        - is_empty
        - value
        - value_confidence
      type: object
    EndUserEmail:
      properties:
        cc_addresses:
          items:
            type: string
          type: array
        date_sent:
          format: date-time
          type: string
        date_sent_string:
          type: string
        from_address:
          type: string
        from_address_domain:
          type: string
        from_name:
          type: string
        html_body:
          type: string
        html_or_text_body:
          type: string
        reply_to:
          nullable: true
          type: string
        subject:
          type: string
        text_body:
          type: string
        to_addresses:
          items:
            type: string
          type: array
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````